%define major     0
%define libname   %mklibname %{name}_ %{major}
%define develname %mklibname %{name} -d

Name:           udunits2
Version:        2.2.26
Release:        %mkrel 1
Summary:        A library for manipulating units of physical quantities
License:        Freely distributable (BSD-like)
Group:          Sciences/Mathematics
URL:            http://www.unidata.ucar.edu/software/udunits/
Source0:        ftp://ftp.unidata.ucar.edu/pub/udunits/udunits-%{version}.tar.xz
BuildRequires:  gcc-gfortran
BuildRequires:  gcc-c++
BuildRequires:  groff
BuildRequires:  perl-devel
BuildRequires:  bison
BuildRequires:  pkgconfig(expat)
BuildRequires:  texinfo

%description
The Unidata units utility, udunits, supports conversion of unit specifications
between formatted and binary forms, arithmetic manipulation of unit
specifications, and conversion of values between compatible scales of
measurement. A unit is the amount by which a physical quantity is measured. For
example:

                  Physical Quantity   Possible Unit
                  _________________   _____________
                        time              weeks
                      distance         centimeters
                        power             watts

This utility works interactively and has two modes. In one mode, both an input
and output unit specification are given, causing the utility to print the
conversion between them. In the other mode, only an input unit specification is
given. This causes the utility to print the definition -- in standard units --
of the input unit.


%package -n %{libname}
Group:          System/Libraries
Summary:        Libraries for udunits
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the files needed for compiling programs using
the udunits library.


%package -n %{develname}
Group:          Development/Libraries
Summary:        Headers and libraries for udunits
Requires:       %{name} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the files needed for compiling programs using
the udunits library.


%prep
%setup -q -n udunits-%{version}

%build
%configure2_5x --disable-static --docdir %{_docdir}/%{name}

%make_build

%install
%make_install install-html

# We need to do this to avoid conflicting with udunits v1
mkdir -p %{buildroot}%{_includedir}/%{name}/
mv %{buildroot}%{_includedir}/*.h %{buildroot}%{_includedir}/%{name}/
# Don't ship static libs
find %{buildroot} -name '*.la' -delete

# doc
install -p -m0644 ANNOUNCEMENT udunits2.pdf %{buildroot}%{_docdir}/%{name}/

%files
%doc %{_docdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/udunits/
%{_infodir}/*.info*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/*.so


%changelog
* Tue Nov 17 2020 tex - 2.2.26-1pclos2020
- create pkg from mga
